PitchBook profile search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-pitchbook-profiles-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "stripe",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-pitchbook-profiles-search"
payload = {
"keyword": "stripe",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'stripe', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-pitchbook-profiles-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "pitchbook_profiles_search",
"keyword": "stripe",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# PitchBook — profile search\n\n- **Query:** keyword=stripe\n- **Results:** 2\n- **Proxy traffic:** 204.2 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "439834-78",
"name": "Stripe Theory",
"url": "https://pitchbook.com/profiles/company/439834-78",
"type": "company",
"logo": "https://image.pitchbook.com/llGaQS51jLDbvGoisogvTOq35qI1785304888993_200x200"
},
"items": [
{
"id": "439834-78",
"name": "Stripe Theory",
"url": "https://pitchbook.com/profiles/company/439834-78",
"type": "company",
"logo": "https://image.pitchbook.com/llGaQS51jLDbvGoisogvTOq35qI1785304888993_200x200"
},
{
"id": "144558-37",
"name": "Stripe Communications",
"url": "https://pitchbook.com/profiles/company/144558-37",
"type": "company",
"logo": "https://image.pitchbook.com/0Jsg5eWOQYbBxfffq2BLiSlDz9Q1682670529792_200x200"
}
],
"total_found": null,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 209078
},
"total_points": 2
}Startup & Funding Data
PitchBook profile search
Search PitchBook public profile previews by keyword: name, type (company / investor / fund), profile id and link. 1 point per returned record.
POST
/
functions
/
v1
/
run-pitchbook-profiles-search
PitchBook profile search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Keyword. e.g. stripe
Profile type. Options: company = Company, investor = Investor, fund = Fund
Available options:
company, investor, fund Max items (up to 250)
Required range:
1 <= x <= 250Starting page
Required range:
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.